<template lang="html">
  <div class="game-comments">
    <button class="collapsible-title-button"
      v-on:click="toggleExpanded()"
      v-bind:class="{ expanded: expanded, condensed: !expanded }">
      <span>{{label.COMMENTS}}</span>
      <span> • {{numOfComments}}</span>
    </button>
    <div v-if="expanded" class="content">
      <h3>Coming soon...</h3>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ep-game-comments',
  props: {
    numOfComments: {
      type: Number,
      default () {
        return 0
      }
    },
    comments: {
      type: Array,
      default () {
        return []
      }
    }
  },
  data () {
    return {
      expanded: false,
      label: {
        COMMENTS: 'COMMENTS'
      }
    }
  },
  methods: {
    toggleExpanded () {
      this.expanded = !this.expanded
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/input';

.game-comments {
  display: block;
  position: relative;
  margin: 0;
  padding: 16px;
  border-top: none;
  border-right: none;
  border-left: none;
}
</style>
